%[x, imagerows, imagecols] = cut('1.tif', 8, 8);

function [x, imagerows, imagecols] = cut(filename, w, h);

image = imread(filename);

figure; imshow(image)

YIQ = rgb2ntsc(image);

figure; imshow(YIQ(:,:,1))

rows = size(image,1);
cols = size(image,2);

fprintf(1,'Size of the original image %d %d\n',rows, cols);

imagerows = rows;
imagecols = cols;

I = YIQ(:,:,1);

x = im2col(I,[h w],'distinct'); %converts disjoint image blocks of size hxw to vectors

fprintf(1,'Whole image cut and stripped, size %d %d\n', size(x));
